
QGIS Application - Bug report #14459

v.transform affine ERROR: v.out.ogr: Sorry, <z> is not a valid flag

2016-03-11 06:40 AM - Andre Jesus

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:2.14.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 22437

Description

The tool can not be executed return the following error:

This algorithm cannot be run :-( 

It seems that GRASS is not correctly installed and configured in your system. Please install it before running GRASS algorithms.

Here is the error:

ERROR: v.out.ogr: Sorry, <z> is not a valid flag

Other GRASS tools seems to run OK

History

#1 - 2016-03-11 09:49 AM - Andre Jesus

The problem lies in folders configuration in the provider options for GRASS. Both GRASS and MSYS paths are wrong and the MSYS folder is missing from

the installer. Using the one that came with the LTR install do the trick.

#2 - 2016-03-12 03:52 AM - Anita Graser

- Subject changed from v.transform affine to v.transform affine ERROR: v.out.ogr: Sorry, <z> is not a valid flag

#3 - 2016-03-12 01:20 PM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

I am sorry, I can't reproduce it on Processing GRASS7 (on Debian Stretch). Are you using GRASS6 in Processing ? Is there only a problem for v.transform

or all algorithms are affected as well ?

To be sure I haven't forgotten anything, could you tell us what were all of the parameters (of v.transform) you have used to reproduce the bug ?

#4 - 2016-03-14 04:42 AM - Andre Jesus
hi.

Médéric RIBREUX wrote:

Hello, bug triage...

I am sorry, I can't reproduce it on Processing GRASS7 (on Debian Stretch). Are you using GRASS6 in Processing ? Is there only a problem for

v.transform or all algorithms are affected as well ?

No, I'm using GRASS6's v.transform. I didn't tried GRASS7 but my guess It will be the same. i didn't use any other tool, but since I corrected the path in the

provider option It may work.

To be sure I haven't forgotten anything, could you tell us what were all of the parameters (of v.transform) you have used to reproduce the bug ?

I'll clean install 2.14 again to get the log

#5 - 2016-03-14 05:15 AM - Andre Jesus

GRASS GIS 6 (enabled by default) 

GRASS Folder: C:/PROGRA~1/QGISES~1/apps\\grass\\grass-7.0.3 (exists, but wrong version? - full path: C:\\Program Files\\QGIS

Essen\\apps\\grass\\grass-7.0.3)

MSYS Folder: C:/PROGRA~1/QGISES~1/apps\\msys (does not exist)

Can not open v.transform

GRASS GIS 7 (disabled by default)

GRASS Folder: C:/PROGRA~1/QGISES~1/apps\\grass\\grass-7.0.3 (exists -  full path: C:\\Program Files\\QGIS Essen\\apps\\grass\\grass-7.0.3)

MSYS Folder: C:/PROGRA~1/QGISES~1/apps\\msys (does not exist)

Can open v.transform

Looks like all GRASS7 tools are working, even without MSYS files. On the other hand none of GRASS6 are able to open without a valid MSYS folder.

I guess It's just a matter of setting up the default GRASS version (7) or totally remove GRASS6 from QGIS.

#6 - 2016-03-19 11:53 PM - Alexander Bruy

Andre Jesus wrote:

GRASS GIS 6 (enabled by default) 

GRASS Folder: C:/PROGRA~1/QGISES~1/apps\\grass\\grass-7.0.3 (exists, but wrong version? - full path: C:\\Program Files\\QGIS

Essen\\apps\\grass\\grass-7.0.3)

MSYS Folder: C:/PROGRA~1/QGISES~1/apps\\msys (does not exist)

This is correct PATH, "PROGRA~1" is just shortened version of "Program Files". This how Windows usually handles names longer that 8 characters.

Version also correct, as by default QGIS shipped with GRASS 7.

#7 - 2016-04-09 09:53 AM - Giovanni Manghi

- Resolution set to invalid
- Status changed from Feedback to Closed

- Target version deleted (Version 2.14)

If I'm not wrong this can be closed, right? Reopen if necessary.
